/**
 * Imports
 */

'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _virtex = require('virtex');

var _forEach = require('./forEach');

var _forEach2 = _interopRequireDefault(_forEach);

/**
 * Vars
 */

var setAttribute = _virtex.actions.setAttribute;

/**
 * Create a DOM element
 */

function createElement(doc, dispatch, tag, attrs, children) {
  var node = doc.createElement(tag);

  if (attrs !== null) {
    for (var key in attrs) {
      var val = attrs[key];
      if (val !== null && val !== undefined) {
        dispatch(setAttribute(node, key, val));
      }
    }
  }

  for (var i = 0, len = children.length; i < len; ++i) {
    node.appendChild(children[i]);
  }

  return node;
}

/**
 * Exports
 */

exports['default'] = createElement;
module.exports = exports['default'];