/**
 * Imports
 */

'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _setValue = require('./setValue');

var _setValue2 = _interopRequireDefault(_setValue);

/**
 * Remove an attribute from an element
 */

function removeAttribute(node, name, priorValue) {
  if (typeof priorValue === 'function') {
    priorValue(node, name, true);
  }

  switch (name) {
    case 'checked':
    case 'disabled':
    case 'selected':
      node[name] = false;
      break;
    case 'innerHTML':
      node.innerHTML = '';
      break;
    case 'value':
      _setValue2['default'](node, null);
      break;
    default:
      node.removeAttribute(name);
      break;
  }
}

/**
 * Exports
 */

exports['default'] = removeAttribute;
module.exports = exports['default'];