/**
 * Imports
 */

'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _virtex = require('virtex');

var _setValue = require('./setValue');

var _setValue2 = _interopRequireDefault(_setValue);

/**
 * Vars
 */

var removeAttribute = _virtex.actions.removeAttribute;

/**
 * Set an attribute on an element
 */

function setAttribute(dispatch, node, name, value) {
  if (typeof value === 'function') {
    value = value(node, name, false);
  }

  if (value === undefined || value === null) {
    if (node.hasAttribute(name)) {
      dispatch(removeAttribute(node, name));
    }
    return;
  }

  switch (name) {
    case 'nodeValue':
    case 'checked':
    case 'disabled':
    case 'selected':
    case 'innerHTML':
      node[name] = value;
      break;
    case 'value':
      _setValue2['default'](node, value);
      break;
    default:
      node.setAttribute(name, value);
  }
}

/**
 * Exports
 */

exports['default'] = setAttribute;
module.exports = exports['default'];